﻿using System;
using System.Linq;
using System.Web.UI;

namespace RadControlsWebApp1.Controls
{
    public partial class TextBoxControl2 : System.Web.UI.UserControl
    {
        string _startingCharacterSet = string.Empty;

        protected override void Render(HtmlTextWriter writer)
        {
            writer.Write(string.Format(@"<span id=""{0}"">", this.ClientID));
            base.Render(writer);
            writer.Write(@"</span>");
        }

        public string StartingCharacterSet
        {
            get
            {
                return _startingCharacterSet;
            }
            set 
            {
                _startingCharacterSet = value;
                Label1.Text = String.Format("A word starting [{0}]", value);
            }
        }
    }
}