﻿Type.registerNamespace("RadControlsWebApp1.Controls");

// Constructor
RadControlsWebApp1.Controls.TextControl2 = function (element)
{
    RadControlsWebApp1.Controls.TextControl2.initializeBase(this, [element]);
    this._startingCharacterSet = null;
}

RadControlsWebApp1.Controls.TextControl2.prototype =
{
    get_startingCharacterSet: function()
    {
        return this._startingCharachterSet;
    },

    set_startingCharacterSet: function(value)
    {
        this._startingCharacterSet  = value;
    },

    OnValueChanging: function(sender, e)
    {
        var value = e.get_newValue();
        if (this._startingCharacterSet .indexOf(value.substring(0, 1)) == -1)
        {
            e.set_cancel(true);
            sender.set_value("");
        }
    },

    // Release resources before control is disposed.
    dispose: function ()
    {
        RadControlsWebApp1.Controls.TextControl2.callBaseMethod(this, 'dispose');
    },

    initialize: function ()
    {
        RadControlsWebApp1.Controls.TextControl2.callBaseMethod(this, 'initialize');
    }
}

RadControlsWebApp1.Controls.TextControl2.registerClass('RadControlsWebApp1.Controls.TextControl2', Sys.UI.Control);

if (typeof (Sys) !== 'undefined')
{
    Sys.Application.notifyScriptLoaded();
}

RadControlsWebApp1.Controls.TextControl2.OnValueChanging = function (sender, e)
{
    var parent = sender.get_parent();
    parent.OnValueChanging(sender, e);
}